> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List groups properties

> Returns the properties set within specified groups.

**Required scopes:** `properties.group.value--all:ro`


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/list_groups_properties
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_groups_properties:
    post:
      tags:
        - Properties
      summary: List groups properties
      description: Returns the properties set within specified groups.
      operationId: list-groups-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGroupsPropertiesRequest'
            example:
              group_ids:
                - 0
                - 1
              namespace: a
              name_prefix: b
      responses:
        '200':
          description: Groups properties.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGroupsPropertiesResponse'
              example:
                - id: 0
                  properties:
                    0805e283233042b37f460ed8fbf22160:
                      string_property: group property value for group 0
                - id: 1
                  properties:
                    0805e283233042b37f460ed8fbf22160:
                      string_property: group property value for group 1
components:
  schemas:
    ListGroupsPropertiesRequest:
      type: object
      required:
        - group_ids
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: >-
            The IDs of the groups you retrieve properties from. Properties from
            all groups will be returned if an empty array is provided.
        namespace:
          type: string
          description: The properties namespace.
        name_prefix:
          type: string
          description: The properties name prefix.
    ListGroupsPropertiesResponse:
      type: array
      items:
        $ref: '#/components/schemas/GroupPropertiesItem'
    GroupPropertiesItem:
      type: object
      description: A group with its associated properties.
      properties:
        id:
          type: integer
          description: The group ID.
        properties:
          $ref: '#/components/schemas/PropertyNamespaceMap'
    PropertyNamespaceMap:
      type: object
      description: An object with namespaces as keys and property objects as values.
      additionalProperties:
        $ref: '#/components/schemas/PropertyNamespaceValues'
    PropertyNamespaceValues:
      type: object
      description: An object with property names as keys and their values.
      additionalProperties: {}
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````